Max Kanat-Alexander wrote:
> On Thu, 24 Apr 2008 10:08:25 -0400 Madison Kelly
> wrote:
>> I re-ran checkconfig.pl and found that three modules haven't been
>> installed; Email-Reply, Email-MIME-Attachment-Stripper and Inbound
>> Email. I tried installing via CPAN, but 'Email-Reply' failed...

>
> That's fine. You don't need to install *new* modules, you just
> need newer versions of the modules you already have.


I'm always hesitant to go outside the "official" Debian-stable repos on
live servers.

>> I've never had any luck installing modules from CPAN as 80% of the
>> time they error during testing.

>
> It's better to just use the Debian packages for the modules
> anyway. I'm pretty sure Debian has all the modules packaged that
> Bugzilla needs.
>
> -Max


Those three modules do not seem to be in the repositories. Googling
failed to find me any third-part deb packages, too.

Annoyingly, I am certain the problem is simply a missing '$'
somewhere... the 'SCALAR()' is a scalar reference in perl... You need
the '$$' to dereference it and get the actual content. Maybe I'll have
to find the error and fix it myself, though that is hardly ideal, either.

Madi